import {FunctionTrigger,DownTrigger,LocationTrigger} from '$mixins/trigger/class/index';
import popup from "$utils/tool/popup";

export default <LibDataArray>[
    {
        label:'网页收藏',
        icon:require('../images/collection.png'),
        trigger: new FunctionTrigger(function (){
            return popup.$toast('～Ctrl+D快速添加收藏嗷～');
        })
    },
    {
        label:'保存桌面',
        icon:require('../images/desktop.png'),
        trigger: new DownTrigger('https://img.youmaiyy.com/decktop_icon/有麦语音.url')
    },
    {
        label:'客户端下载',
        icon:require('../images/client.png'),
        trigger: new LocationTrigger('https://www.baidu.com')
    }
]
